# `OpenCV_jll.jl` (v4.6.0+2)

[![deps](https://juliahub.com/docs/OpenCV_jll/deps.svg)](https://juliahub.com/ui/Packages/OpenCV_jll/pOfPb?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/d26cb2e97d20ca54b30bab55e99ba9037eb73b38/O/OpenCV/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `OpenCV_jll.jl` have been built from these sources:

* git repository: https://github.com/opencv/opencv.git (revision: `b0dc474160e389b9c9045da5db49d03ae17c6a6b`)
* git repository: https://github.com/opencv/opencv_contrib.git (revision: `db16caf6ceee76b43b94c846be276e92a43e9700`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/d26cb2e97d20ca54b30bab55e99ba9037eb73b38/O/OpenCV/bundled)

## Platforms

`OpenCV_jll.jl` is available for the following platforms:

* `macOS aarch64 {julia_version=1.10.0}` (`aarch64-apple-darwin-julia_version+1.10.0`)
* `macOS aarch64 {julia_version=1.11.0}` (`aarch64-apple-darwin-julia_version+1.11.0`)
* `macOS aarch64 {julia_version=1.7.0}` (`aarch64-apple-darwin-julia_version+1.7.0`)
* `macOS aarch64 {julia_version=1.8.2}` (`aarch64-apple-darwin-julia_version+1.8.2`)
* `macOS aarch64 {julia_version=1.9.0}` (`aarch64-apple-darwin-julia_version+1.9.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.10.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.10.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.11.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.11.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.8.2, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.8.2`)
* `Linux aarch64 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`aarch64-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.10.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.10.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.11.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.11.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.8.2, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.8.2`)
* `Linux aarch64 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`aarch64-linux-gnu-cxx11-julia_version+1.9.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03-julia_version+1.7.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.8.2, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03-julia_version+1.8.2`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11-julia_version+1.7.0`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.8.2, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11-julia_version+1.8.2`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03-julia_version+1.6.3`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03-julia_version+1.7.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, julia_version=1.8.2, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03-julia_version+1.8.2`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11-julia_version+1.6.3`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11-julia_version+1.7.0`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, julia_version=1.8.2, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11-julia_version+1.8.2`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.10.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.10.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.11.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.11.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.8.2, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.8.2`)
* `Linux i686 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`i686-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.10.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.10.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.11.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.11.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.8.2, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.8.2`)
* `Linux i686 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`i686-linux-gnu-cxx11-julia_version+1.9.0`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.10.0}` (`i686-w64-mingw32-cxx03-julia_version+1.10.0`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.11.0}` (`i686-w64-mingw32-cxx03-julia_version+1.11.0`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.6.3}` (`i686-w64-mingw32-cxx03-julia_version+1.6.3`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.7.0}` (`i686-w64-mingw32-cxx03-julia_version+1.7.0`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.8.2}` (`i686-w64-mingw32-cxx03-julia_version+1.8.2`)
* `Windows i686 {cxxstring_abi=cxx03, julia_version=1.9.0}` (`i686-w64-mingw32-cxx03-julia_version+1.9.0`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.10.0}` (`i686-w64-mingw32-cxx11-julia_version+1.10.0`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.11.0}` (`i686-w64-mingw32-cxx11-julia_version+1.11.0`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.6.3}` (`i686-w64-mingw32-cxx11-julia_version+1.6.3`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.7.0}` (`i686-w64-mingw32-cxx11-julia_version+1.7.0`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.8.2}` (`i686-w64-mingw32-cxx11-julia_version+1.8.2`)
* `Windows i686 {cxxstring_abi=cxx11, julia_version=1.9.0}` (`i686-w64-mingw32-cxx11-julia_version+1.9.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.10.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.10.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.11.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.11.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.8.2, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.8.2`)
* `Linux powerpc64le {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.10.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.10.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.11.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.11.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.8.2, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.8.2`)
* `Linux powerpc64le {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`powerpc64le-linux-gnu-cxx11-julia_version+1.9.0`)
* `macOS x86_64 {julia_version=1.10.0}` (`x86_64-apple-darwin-julia_version+1.10.0`)
* `macOS x86_64 {julia_version=1.11.0}` (`x86_64-apple-darwin-julia_version+1.11.0`)
* `macOS x86_64 {julia_version=1.6.3}` (`x86_64-apple-darwin-julia_version+1.6.3`)
* `macOS x86_64 {julia_version=1.7.0}` (`x86_64-apple-darwin-julia_version+1.7.0`)
* `macOS x86_64 {julia_version=1.8.2}` (`x86_64-apple-darwin-julia_version+1.8.2`)
* `macOS x86_64 {julia_version=1.9.0}` (`x86_64-apple-darwin-julia_version+1.9.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.10.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.10.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.11.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.11.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.6.3, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.6.3`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.7.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.7.0`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.8.2, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.8.2`)
* `Linux x86_64 {cxxstring_abi=cxx03, julia_version=1.9.0, libc=glibc}` (`x86_64-linux-gnu-cxx03-julia_version+1.9.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.10.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.10.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.11.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.11.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.6.3, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.6.3`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.7.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.7.0`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.8.2, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.8.2`)
* `Linux x86_64 {cxxstring_abi=cxx11, julia_version=1.9.0, libc=glibc}` (`x86_64-linux-gnu-cxx11-julia_version+1.9.0`)
* `FreeBSD x86_64 {julia_version=1.10.0}` (`x86_64-unknown-freebsd-julia_version+1.10.0`)
* `FreeBSD x86_64 {julia_version=1.11.0}` (`x86_64-unknown-freebsd-julia_version+1.11.0`)
* `FreeBSD x86_64 {julia_version=1.6.3}` (`x86_64-unknown-freebsd-julia_version+1.6.3`)
* `FreeBSD x86_64 {julia_version=1.7.0}` (`x86_64-unknown-freebsd-julia_version+1.7.0`)
* `FreeBSD x86_64 {julia_version=1.8.2}` (`x86_64-unknown-freebsd-julia_version+1.8.2`)
* `FreeBSD x86_64 {julia_version=1.9.0}` (`x86_64-unknown-freebsd-julia_version+1.9.0`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.10.0}` (`x86_64-w64-mingw32-cxx03-julia_version+1.10.0`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.11.0}` (`x86_64-w64-mingw32-cxx03-julia_version+1.11.0`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.6.3}` (`x86_64-w64-mingw32-cxx03-julia_version+1.6.3`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.7.0}` (`x86_64-w64-mingw32-cxx03-julia_version+1.7.0`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.8.2}` (`x86_64-w64-mingw32-cxx03-julia_version+1.8.2`)
* `Windows x86_64 {cxxstring_abi=cxx03, julia_version=1.9.0}` (`x86_64-w64-mingw32-cxx03-julia_version+1.9.0`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.10.0}` (`x86_64-w64-mingw32-cxx11-julia_version+1.10.0`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.11.0}` (`x86_64-w64-mingw32-cxx11-julia_version+1.11.0`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.6.3}` (`x86_64-w64-mingw32-cxx11-julia_version+1.6.3`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.7.0}` (`x86_64-w64-mingw32-cxx11-julia_version+1.7.0`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.8.2}` (`x86_64-w64-mingw32-cxx11-julia_version+1.8.2`)
* `Windows x86_64 {cxxstring_abi=cxx11, julia_version=1.9.0}` (`x86_64-w64-mingw32-cxx11-julia_version+1.9.0`)

## Dependencies

The following JLL packages are required by `OpenCV_jll.jl`:

* [`Libglvnd_jll`](https://github.com/JuliaBinaryWrappers/Libglvnd_jll.jl)
* [`Qt5Base_jll`](https://github.com/JuliaBinaryWrappers/Qt5Base_jll.jl)
* [`libcxxwrap_julia_jll`](https://github.com/JuliaBinaryWrappers/libcxxwrap_julia_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libopencv_calib3d`
* `LibraryProduct`: `libopencv_core`
* `LibraryProduct`: `libopencv_dnn`
* `LibraryProduct`: `libopencv_features2d`
* `LibraryProduct`: `libopencv_flann`
* `LibraryProduct`: `libopencv_gapi`
* `LibraryProduct`: `libopencv_highgui`
* `LibraryProduct`: `libopencv_imgcodecs`
* `LibraryProduct`: `libopencv_imgproc`
* `LibraryProduct`: `libopencv_julia`
* `LibraryProduct`: `libopencv_objdetect`
* `LibraryProduct`: `libopencv_stitching`
* `LibraryProduct`: `libopencv_video`
* `LibraryProduct`: `libopencv_videoio`
